local addonName, global = ...;

-- Init
(function()

    local frame = CreateFrame("Button", "OSBCP_Easy_Healer_Minimap_Button", UIParent)
    frame:SetFrameStrata("MEDIUM")
    frame:SetWidth(32)
    frame:SetHeight(32);
    --
    ---- Make it draggable
    frame:SetMovable(true)
    frame:EnableMouse(true)

    frame:RegisterForDrag("RightButton")
    frame:SetScript("OnMouseDown", function(self, button)
        if button == "RightButton" and not self.isMoving then
            self:StartMoving();
            self.isMoving = true;
        end
    end)
    frame:SetScript("OnMouseUp", function(self, button)
        if button == "RightButton" and self.isMoving then
            self:StopMovingOrSizing();
            self.isMoving = false;
        end
    end)

    ---- Apply background
    frame:SetNormalTexture("Interface\\Addons\\OSBCP_Easy_Healer_Classic\\images\\minibutton\\Button-Up.png")
    frame:SetPushedTexture("Interface\\Addons\\OSBCP_Easy_Healer_Classic\\images\\minibutton\\Button-Down.png");
    frame:SetHighlightTexture("Interface\\Minimap\\UI-Minimap-ZoomButton-Highlight");

    ---- Set mouse tip
    frame:SetScript("OnEnter", function(self, button)
        GameTooltip:SetOwner(self, "ANCHOR_BOTTOMLEFT");
        GameTooltip:SetText(global.ADDON_NAME_PRETTY .. " v" .. global.VERSION);
        --GameTooltip:SetText( addonName .. " v" .. global.VERSION .. "\n\nRight-click to move this button." );
        GameTooltip:AddLine("Right-click to move this button.")
    end)
    frame:SetScript("OnLeave", function(self, button)
        GameTooltip:Hide();
    end)
    frame:SetScript("OnClick", function(self, button)
        --print("click");
        GameTooltip:Hide();
        ShowUIPanel(OSBCP_Minimap_Menu);
    end)
    frame:RegisterEvent("VARIABLES_LOADED");
    frame:SetScript("OnEvent", function(self, event)
        global.init();
    end)

    -- Show the frame
    frame:ClearAllPoints();
    frame:SetPoint("CENTER", 0, 0)
    frame:Show();

end)()
